Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class PurgeCommand

- org.codehaus.groovy.tools.shell.commands.PurgeCommand

- The 'purge' command.

  Authors:
    Jason Dillon
  Version:
    \$Id\$

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexCommandSupport` | `defaultFunction, functions`
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `do_classes`
    `def` | `do_imports`
    `def` | `do_preferences`
    `def` | `do_variables`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PurgeCommand (Groovysh shell)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexCommandSupport` | `createCompleters, execute, executeFunction, getFunctions, loadFunction`
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHistory, getImports, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Property Detail

    - #### def do_classes

    - #### def do_imports

    - #### def do_preferences

    - #### def do_variables

  - ### Constructor Detail

    - #### PurgeCommand(Groovysh shell)